Subject: Re: Git weekly news: 2008-49

From: Jakub Narebski <[email-masked]>
Date: Fri, 5 Dec 2008 20:27:56 +0100

On Fri, Dec 5, 2008 at 18:46, Felipe Contreras wrote:
> On Fri, Dec 5, 2008 at 6:02 PM, Jakub Narebski <[email-masked]> wrote:
>> "Felipe Contreras" <[email-masked]> writes:
>>
>>> Hi there,
>>>
>>> I've been following the git tag at delicious.com[1]

By the way, from time to time I search blogs using either Technorati
searching for "http://git.or.cz", or Google Blog Search searching
either for "link:git.or.cz" or "Distributed Version Control".

BTW. funny thing that Google _Blog_ Search sometimes returns a host
of links to 'commit' view of gitweb... :-)

>>> and there's quite 
>>> many interesting links, so I thought  on gathering them so the git
>>> community can enjoy them in one pack :)
>>
>> Nice work, although I think better alternative would be to weed those
>> links out, and put them in appropriate sections (or subsections) on
>> Git Wiki; to be more exact on http://git.or.cz/gitwiki/GitLinks
> 
> Right, but next week the links will be different. This time the links
> where not really from this week, but they will be on the next
> iterations.
> 
> Somebody could pick the relevant links and add them in the wiki.

Well, if it is mainly as the place for "weekly links", it has some
purpose as it. And finding the links, perhaps with some minimal
reduction (removing duplicates and such), is much easier and takes
much less time than selecting "links of impact" for GitLinks page,
or selecting other page like BlogPosts, GitComparison, GitDocumentation
or InterfacesFrontendsAndTools git wiki page to add link to.

>>> The blog post is here:
>>> http://gitlog.wordpress.com/2008/12/05/git-weekely-news-2008-49/
>>
>> First, "Official git blog"? Official? There is nothing official about
>> it. "Unofficial git blog", or "A git developer blog" (or "A git
>> follower blog"; unfortunately names like gitter or gitster for git
>> power user's, like TeXnician for TeX users, are taken by nicknames on
>> #git, if I remember correctly).  Only git maintainer (Junio Hamano)
>> and git development community (the git mailing list) can decide that
>> something is "official" resource.
> 
> I asked in the mailing list and the only comment I got was: go ahead.
> So yeah, that doesn't look like an "official" blessing, but it's not
> bad either.

Ah, I didn't remember about it.
 
>
> Anyway, my idea is that many gitsters will participate on this blog,
> it's not my personal blog, I already have one.
> 
> Who wants an account?

Still it looks more like "A git blog" than "Official git blog".
 
>> Third, it is collection of links, not news[1].
> 
> True, "Git weekly links" sounds better?

Yes, IMHO it is better name.

>>>
>>> But here are the links anyway. The order is rather random.
>>
>> Moreover the _quality_ of those links is very random.
> 
> Exactly, I didn't choose them, that's what people have been tagging as
> "git" in delicious.com. I'm subscribed to the RSS feed and saving the
> ones that appear a lot.
> 
> In fact I don't like some of them, but that's what the "public" finds
> interesting.

Well, I think that people would treat those collection of links as
collection of links to _sensible_ contents. So at least put such links
in the "Controversial" (or something like that) section.
 
> <snip/>
> 
> Thanks for the comments, but gathering all these links is already
> taking me more time that I wished.
> 
>> I have a host of links to blog posts with git or distributed version
>> control info bookmarked...
> 
> My objective is to do this weekly. Maybe I'll put the links in a git
> repo so people can see them before I make the post. Would you find
> that useful?

I don't think so.

.....................................................................
> As an example of possible links for next week:
> My RubyGems development tools and workflow
> http://drnicwilliams.com/2008/12/05/my-rubygems-development-tools-and-workflow/

How it is about git?

> Pushr, or the application will deploy itself
> http://www.restafari.org/pushr-or-the-application-will-deploy-itself.html

Nice article, extending on article about Git support for Capistrano.
Worth reading, I think, at least for Rubyists (RnR) here...
-- 
Jakub Narebski
Poland